org.eclipse.emf.cdo.server.ocl

## Class OCLQueryHandler.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.spi.server.QueryHandlerFactory
    - - org.eclipse.emf.cdo.server.ocl.OCLQueryHandler.Factory

- All Implemented Interfaces:
    IFactory
  Enclosing class:
    OCLQueryHandler

      public static class OCLQueryHandler.Factory
      extends QueryHandlerFactory

  Creates `OCLQueryHandler` instances.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.cdo.spi.server.QueryHandlerFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OCLQueryHandler` | `create(java.lang.String description)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### create

          public OCLQueryHandler create(java.lang.String description)
                                 throws ProductCreationException

      Specified by:
        `create` in interface `IFactory`
      Specified by:
        `create` in class `QueryHandlerFactory`
      Throws:
        `ProductCreationException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html